package body fred is
   Count : Integer := 0;
   procedure Close_Callback(Obj : in out mcc.gui.container.window.window'class) is
   begin
      delay 3.0;
      return;
      Count := Count + 1;
      if Count = 2 then
         mcc.gui.container.window.destroy(obj);
      end if;
   end Close_Callback;

end fred;